it.csi.mddtools.guigen

## Interface MultiPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel
  All Known Subinterfaces:
    TabSetPanel, WizardPanel

      public interface MultiPanel
      extends Panel

  A representation of the model object 'Multi Panel'. Pannello a visualizzazione alternativa. Permette di visualizzare uno solo dei pannelli definiti nella collezione panels. Per visualizzare uno specifico pannello occorre utilizzare il comando ActivateMultipanelItem. Lo statoiniziale di questo pannello è la non visualizzazione di nessun pannello.

  The following features are supported:

  - `Panels`
  See Also:
    `GuigenPackage.getMultiPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Panel>` | `getPanels()` Returns the value of the 'Panels' containment reference list.

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPanels

          org.eclipse.emf.common.util.EList<Panel> getPanels()

      Returns the value of the 'Panels' containment reference list. The list contents are of type `Panel`.

      If the meaning of the 'Panels' containment reference list isn't clear, there really should be more of a description here...

      I pannelli visualizzabili in alternativa
      Returns:
        the value of the 'Panels' containment reference list.
      See Also:
        `GuigenPackage.getMultiPanel_Panels()`